%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-jaxws-2.2-api
Version:          2.0.3
Release:          2%{?dist}
Summary:          Java API for XML-Based Web Services 2.2
License:          CDDL or GPLv2 with exceptions
URL:              http://www.jboss.org/

# git clone git://github.com/jboss/jboss-jaxws-api_spec.git jboss-jaxws-api
# cd jboss-jaxws-api && git archive --format=tar --prefix=jboss-jaxws-2.2-api/ d6937fd2ebf76bfa8ea4706d6b50a172dbda9f9e | xz > jboss-jaxws-2.2-api-2.0.2.20120507gitd6937f.tar.xz
Source0:          https://github.com/jboss/jboss-jaxws-api_spec/archive/jboss-jaxws-api_2.2_spec-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

%description
Java API for XML-Based Web Services 2.2 classes.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jaxws-api_spec-jboss-jaxws-api_2.2_spec-%{namedversion}

# Unneeded plugin
%pom_remove_plugin :maven-source-plugin

%build
%mvn_build -- -Dadditionalparam="-Xdoclint:none"

%install
%mvn_install

%files -f .mfiles
%license src/main/resources/LICENSE.txt
%doc src/main/resources/NOTE.txt

%files javadoc -f .mfiles-javadoc
%license src/main/resources/LICENSE.txt
%doc src/main/resources/NOTE.txt

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 22 2016 gil cattaneo <puntogil@libero.it> 2.0.3-1
- update to 2.0.3.Final

* Mon Jun 27 2016 gil cattaneo <puntogil@libero.it> 2.0.2-0.12.20120507gitd6937f
- add missing build requires

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-0.11.20120507gitd6937f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 29 2015 gil cattaneo <puntogil@libero.it> 2.0.2-0.10.20120507gitd6937f
- fix FTBFS rhbz#1239593
- fix BR list and use BRs mvn()-like
- minor changes for adapt to current guideline
- introduce license macro
- resolve some rpmlint problem
- remove duplicate files

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-0.9.20120507gitd6937f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 01 2014 Marek Goldmann <mgoldman@redhat.com> - 2.0.2-0.8.20120507gitd6937f
- New guidelines

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-0.7.20120507gitd6937f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.0.2-0.6.20120507gitd6937f
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-0.5.20120507gitd6937f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-0.4.20120507gitd6937f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.0.2-0.3.20120507gitd6937f
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-0.2.20120507gitd6937f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 7 2012 Patryk Obara <pobara@redhat.com> 2.0.2-0.1.20120507gitd6937f
- Initial packaging

